- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# Locator Class Reference

Search for all occurrences

## Detailed Description

Definition at line 198 of file MapExtractorInterface.h.

`#include <MapExtractorInterface.h>`

Inheritance diagram for Locator:
[legend]

List of all members.

## Public Member Functions
| Locator (void)
| ~Locator (void)
virtual void | Prepare (void)
| This is called once at the beginning. The locator node can initialize its own internal data during this call.
virtual bool | LocateSurfacePoint (mudbox::SurfacePoint &pPoint, const class TargetLocation &vTarget)
| This function is responsible to locate a point on the source surface based on a surface point on the target surface.
virtual QWidget * | UserInterface (void)
| This function must create a new widget instance which provides an interface to the user to check and alter the current options for the locator node.
virtual void | Serialize (mudbox::Stream &s)
| The locator node must serialize its internal data members in this function.
class MapExtractor * | MapExtractor (void) const
| This function returns a pointer to the address of the map extraction node which this locator node belongs to.
## Public Attributes
Mapper * | m_pMapper

## Constructor & Destructor Documentation

Locator | ( | void |  | ) | `[inline]`

Definition at line 202 of file MapExtractorInterface.h.

    : m_pMapper( NULL ) {};

~Locator | ( | void |  | ) | `[inline]`

Definition at line 203 of file MapExtractorInterface.h.

    {};

## Member Function Documentation

virtual void Prepare | ( | void |  | ) | `[inline, virtual]`

Search for all occurrences

This is called once at the beginning. The locator node can initialize its own internal data during this call.

Definition at line 205 of file MapExtractorInterface.h.

    {};

virtual bool LocateSurfacePoint | ( | mudbox::SurfacePoint & | pPoint,
|  | const class TargetLocation & | vTarget
| ) |  | `[virtual]`

Search for all occurrences

This function is responsible to locate a point on the source surface based on a surface point on the target surface.

The function has to fill the pPoint structure with the result. This function must be thread safe.

virtual QWidget* UserInterface | ( | void |  | ) | `[virtual]`

Search for all occurrences

This function must create a new widget instance which provides an interface to the user to check and alter the current options for the locator node.

virtual void Serialize | ( | mudbox::Stream & | s | ) | `[virtual]`

Search for all occurrences

The locator node must serialize its internal data members in this function.

Reimplemented from Node.

class MapExtractor* MapExtractor | ( | void |  | ) | const

Search for all occurrences

This function returns a pointer to the address of the map extraction node which this locator node belongs to.

## Member Data Documentation

Mapper* m_pMapper

Search for all occurrences

Definition at line 217 of file MapExtractorInterface.h.

The documentation for this class was generated from the following file:

- MapExtractor/MapExtractorInterface.h

Locator Locator Locator Locator Locator Locator Locator Locator Locator Locator
Locator Locator Locator Locator Locator Locator Locator Locator Locator Locator